org.apache.commons.net.nntp

## Class ArticleIterator

- java.lang.Object
- - org.apache.commons.net.nntp.ArticleIterator

- All Implemented Interfaces:
    Iterable<Article>, Iterator<Article>

      final class ArticleIterator
      extends Object
      implements Iterator<Article>, Iterable<Article>

  Class which wraps an `Iterable<String>` of raw article information to generate an `Iterable<Article>` of the parsed information.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ArticleIterator(Iterable<String> iterableString)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `hasNext()`
    `Iterator<Article>` | `iterator()`
    `Article` | `next()` Gets the next Article
    `void` | `remove()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface java.util.Iterator

      `forEachRemaining`

    - ### Methods inherited from interface java.lang.Iterable

      `forEach, spliterator`

- - ### Constructor Detail

    - #### ArticleIterator

          public ArticleIterator(Iterable<String> iterableString)

  - ### Method Detail

    - #### hasNext

          public boolean hasNext()

      Specified by:
        `hasNext` in interface `Iterator<Article>`

    - #### iterator

          public Iterator<Article> iterator()

      Specified by:
        `iterator` in interface `Iterable<Article>`

    - #### next

          public Article next()

      Gets the next Article
      Specified by:
        `next` in interface `Iterator<Article>`
      Returns:
        the next `Article`, never `null`, if unparseable then isDummy() will be true, and the subject will contain the raw info.

    - #### remove

          public void remove()

      Specified by:
        `remove` in interface `Iterator<Article>`